%define major 0

%define lib_name %mklibname %{name} %{major}
%define develname %mklibname -d %name

%define expopt 1

Name:           lame
Version:        3.99.5
Release:        %mkrel 10
Summary:        LAME Ain't an MP3 Encoder
License:        LGPL
Group:          Sound/Editors and Converters
URL:            http://lame.sourceforge.net
Source:         http://prdownloads.sourceforge.net/lame/%{name}-%version.tar.gz
Patch0:		configure-3.98.4-gcc4.9.0-i386.patch
Patch1:		lame-3.99.5-invalid-sample-rate.patch
Patch2:		lame-3.99.5-bits-per-sample.patch

BuildRequires:  ncurses-devel 
%ifarch %{ix86}
BuildRequires:  nasm 
%endif
Obsoletes:	notlame
Provides:	notlame
Obsoletes:	lame-mp3x < %{version}

%description
Following the great history of GNU naming, LAME originally stood for LAME 
Ain't an Mp3 Encoder. LAME started life as a GPL'd patch against the 
dist10 ISO demonstration source, and thus was incapable of producing an 
mp3 stream or even being compiled by itself. But in May 2000, the last 
remnants of the ISO source code were replaced, and now LAME is the source 
code for a fully GPL'd MP3 encoder, with speed and quality to rival all 
commercial competitors.

LAME is an educational tool to be used for learning about MP3 encoding.  
The goal of the LAME project is to use the open source model to improve 
the psycho acoustics, noise shaping and speed of MP3.

LAME is not for everyone - it is distributed as source code only and 
requires the ability to use a C compiler. However, many popular ripping 
and encoding programs include the LAME encoding engine, see: Software 
which uses LAME.

Personal and commercial use of compiled versions of LAME (or any other mp3 
encoder) requires a patent license in some countries.

This package is in tainted, as MP3 encoding is covered by software patents.

%package -n %{lib_name}
Summary:	Main library for lame
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}
Obsoletes:	libmp3lame0

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with libmp3lame.

This package is in PLF, as MP3 encoding is covered by software patents.

%package -n %develname
Summary:	Headers for developing programs that will use libmp3lame
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	libmp3lame0-devel
Obsoletes:	%mklibname -d %name 0

%description -n %develname
This package contains the headers that programmers will need to develop
applications which will use libmp3lame.

This package is in PLF, as MP3 encoding is covered by software patents.

%prep
%setup -q
%ifarch %ix86
%patch0 -p0
%endif
%patch1 -p1
%patch2 -p1
ln -s acm ACM
cp -r doc/html .
#clean unneeded files in doc dir
rm -rf html/CVS html/Makefile*
find html -name .cvsignore|xargs rm -f

%build
%if !%expopt
export CFLAGS="`echo %optflags |sed s/-O[23]/-O1/`"
%endif
%configure2_5x \
	--disable-static \
%ifarch %{ix86}
	--enable-nasm \
%endif
%if %expopt
	--enable-expopt \
%endif
	--disable-gtktest

%make

%check
make test

%install
%makeinstall_std

#clean unpackaged files
rm -rf %buildroot/%_datadir/doc/lame %buildroot%_libdir/*.la

%files
%doc README TODO USAGE html/
%{_bindir}/lame
%{_mandir}/man1/lame.1*

%files -n %{lib_name}
%doc README
%{_libdir}/*.so.%{major}*

%files -n %develname
%doc STYLEGUIDE API ChangeLog HACKING
%{_includedir}/*
%{_libdir}/libmp3lame.so


%changelog
* Thu Feb 12 2015 luigiwalser <luigiwalser> 3.99.5-10.mga5
+ Revision: 814786
- add patches from debian to fix crashes caused by malformed input

* Wed Oct 15 2014 umeabot <umeabot> 3.99.5-9.mga5.tainted
+ Revision: 740449
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.99.5-8.mga5.tainted
+ Revision: 681266
- Mageia 5 Mass Rebuild

* Mon Jun 30 2014 dlucio <dlucio> 3.99.5-7.mga5.tainted
+ Revision: 641606
- P0 is only for i586

* Mon Jun 30 2014 dlucio <dlucio> 3.99.5-6.mga5.tainted
+ Revision: 641602
- bump release
- P0 to fix build against gcc4.9x

* Thu Oct 31 2013 tmb <tmb> 3.99.5-5.mga4.tainted
+ Revision: 548201
- Mageia 4 rebuild

* Thu Jun 13 2013 fwang <fwang> 3.99.5-4.mga4.tainted
+ Revision: 442358
- do not build static devel lib, it is not required by any other srpm

* Thu Jun 13 2013 fwang <fwang> 3.99.5-3.mga4.tainted
+ Revision: 442323
- cleanup spec

* Sat Jan 12 2013 umeabot <umeabot> 3.99.5-3.mga3.tainted
+ Revision: 356637
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 zezinho <zezinho> 3.99.5-2.mga3.tainted
+ Revision: 322452
- fix rpm group

* Fri Mar 02 2012 fwang <fwang> 3.99.5-1.mga2.tainted
+ Revision: 216727
- new version 3.99.5

* Fri Mar 02 2012 fwang <fwang> 3.99.4-2.mga2.tainted
+ Revision: 216720
- rebuild for missing packages

* Mon Jan 30 2012 luigiwalser <luigiwalser> 3.99.4-1.mga2.tainted
+ Revision: 203168
- update to 3.99.4
- obsolete gtk+1.2 frontend lame-mp3x
- clean spec

* Tue Apr 19 2011 obgr_seneca <obgr_seneca> 3.98.4-2.mga1
+ Revision: 88315
- imported package lame

